## nvidia-settings-tesla-418 418.113

=== samples/Makefile ===
#
# NV-CONTROL samples: Sample tools for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (c) 2010 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

XNVCTRL_DIR           ?= ../src/libXNVCtrl
XNVCTRL_MAKEFILE      ?= Makefile
XNVCTRL_ARCHIVE       ?= $(XNVCTRL_DIR)/libXNVCtrl.a

CFLAGS                += $(X_CFLAGS)
CFLAGS                += -I $(XNVCTRL_DIR)
CFLAGS                += -I $(OUTPUTDIR)

LDFLAGS               += $(X_LDFLAGS)
LDFLAGS               += -L $(XNVCTRL_DIR)
LIBS                  += -lXNVCtrl -lXext -lX11


##############################################################################
# samples
##############################################################################

SAMPLE_SOURCES        += nv-control-info.c
SAMPLE_SOURCES        += nv-control-dvc.c
SAMPLE_SOURCES        += nv-control-events.c
SAMPLE_SOURCES        += nv-control-dpy.c
SAMPLE_SOURCES        += nv-control-targets.c
SAMPLE_SOURCES        += nv-control-framelock.c
SAMPLE_SOURCES        += nv-control-gvi.c
SAMPLE_SOURCES        += nv-control-3dvisionpro.c
SAMPLE_SOURCES        += nv-control-warpblend.c

##############################################################################
# build rules
##############################################################################

.PHONY: all clean clobber install build-xnvctrl

# define the rule to build each object file
$(foreach src, $(SAMPLE_SOURCES), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to link each sample app from its corresponding object file
define link_sample_from_object
  $$(OUTPUTDIR)/$(1:.c=): $$(call BUILD_OBJECT_LIST,$(1)) $(XNVCTRL_ARCHIVE)
	$$(call quiet_cmd,LINK) $$(CFLAGS) $$(LDFLAGS) $$(BIN_LDFLAGS) -o $$@ $$< $$(LIBS)
  all:: $$(OUTPUTDIR)/$(1:.c=)
  SAMPLES += $$(OUTPUTDIR)/$(1:.c=)
endef

$(foreach sample,$(SAMPLE_SOURCES),$(eval $(call link_sample_from_object,$(sample))))

# define the rule to build $(XNVCTRL_ARCHIVE)
$(XNVCTRL_ARCHIVE): build-xnvctrl

build-xnvctrl:
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)

clean clobber:
	rm -rf *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d $(SAMPLES)
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean

install:
	@# don't install samples, this is just to satisfy the top-level
	@# recursion rule

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

PKG_CONFIG            ?= pkg-config

ifndef GTK2_CFLAGS
  GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK2_LDFLAGS
  GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef GTK3_AVAILABLE
  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
endif

ifeq (1,$(GTK3_AVAILABLE))
  ifndef GTK3_CFLAGS
    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
  endif

  ifndef GTK3_LDFLAGS
    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
  endif
else
  GTK3_CFLAGS ?=
  GTK3_LDFLAGS ?=
endif

# If GTK3_CFLAGS is set, try and build GTK3LIB
ifdef GTK3_CFLAGS
  BUILD_GTK3LIB = 1
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

ifndef DBUS_CFLAGS
  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
  ifeq ($(DBUS_CFLAGS),)
    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-strict-prototypes
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XNVCTRL_MAKEFILE        ?= Makefile
XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

GTK2LIB_NAME = libnvidia-gtk2.so
GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)

ifdef BUILD_GTK3LIB
  GTK3LIB_NAME = libnvidia-gtk3.so
  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK3 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK3LIB =
endif

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
  LIBS += -lscf
endif

LDFLAGS += $(X_LDFLAGS)

NVML_EXPERIMENTAL ?=
CFLAGS += $(if $(NVML_EXPERIMENTAL),-DNVML_EXPERIMENTAL)


# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)

GTK2_LIBS += $(GTK2_LDFLAGS)
GTK3_LIBS += $(GTK3_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))

GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))
IMAGE_OBJS    = $(addprefix $(OUTPUTDIR)/,$(addsuffix .o,$(notdir $(IMAGE_FILES))))
IMAGE_HEADERS = $(addprefix $(OUTPUTDIR)/,$(addsuffix .h,$(notdir $(IMAGE_FILES))))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += $(DBUS_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

$(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
    CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..

ifdef BUILD_GTK3LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif

define BINARY_DATA_HEADER_RULE
  $$(OUTPUTDIR)/$(notdir $(1)).h:
	$(at_if_quiet){ \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \
	} > $$@
endef

##############################################################################
# build rules
##############################################################################

.PHONY: all install NVIDIA_SETTINGS_install clean clobber build-xnvctrl

all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB)

install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install

NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
	$(MKDIR) $(LIBDIR)
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
	    $(LIBDIR)/$(GTK2LIB_SONAME)
ifdef BUILD_GTK3LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
	    $(LIBDIR)/$(GTK3LIB_SONAME)
endif

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -rdynamic -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) $(LIBS)

$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
$(GTK2LIB).unstripped: $(GTK2_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK2_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
	    $(GTK2_OBJS) $(IMAGE_OBJS) $(XCP_OBJS)

ifdef BUILD_GTK3LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
$(GTK3LIB).unstripped: $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS) $(GTK3_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
	    $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS)
endif

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
$(foreach src,$(XCP_SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to build $(XNVCTRL_ARCHIVE)
$(XNVCTRL_ARCHIVE): build-xnvctrl

build-xnvctrl:
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GTK2LIB) $(GTK3LIB) $(GTK2LIB_DIR) $(GTK3LIB_DIR) \
		$(IMAGE_HEADERS)
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean

$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK2LIB_DIR))))

ifdef BUILD_GTK3LIB
$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK3LIB_DIR))))
endif

# Build $(IMAGE_OBJS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call READ_ONLY_OBJECT_FROM_FILE_RULE,$(png))))

# Build $(IMAGE_HEADERS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call BINARY_DATA_HEADER_RULE,$(png))))
$(GTK2_OBJS): $(IMAGE_HEADERS)
ifdef BUILD_GTK3LIB
  $(GTK3_OBJS): $(IMAGE_HEADERS)
endif

=== src/libXNVCtrl/Makefile ===
# Copyright (c) 2008 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# assign variables
##############################################################################

LIBXNVCTRL = libXNVCtrl.a

LIBXNVCTRL_PROGRAM_NAME = "libXNVCtrl"

LIBXNVCTRL_VERSION := $(NVIDIA_VERSION)

X_CFLAGS ?=

CFLAGS += $(X_CFLAGS)
CFLAGS += -I .
CFLAGS += -fPIC
CFLAGS += -I $(OUTPUTDIR)
CFLAGS += -DPROGRAM_NAME=\"$(LIBXNVCTRL_PROGRAM_NAME)\"

SRC += NVCtrl.c

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))


##############################################################################
# build rules
##############################################################################

.PHONY: clean

all: $(LIBXNVCTRL)

$(LIBXNVCTRL) : $(OBJS)
	$(AR) ru $@ $(OBJS)

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

clean:
	rm -rf $(LIBXNVCTRL) *~ \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d

=== debian/changelog ===
nvidia-settings-tesla-418 (418.113-9) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 19:03:42 +0100

nvidia-settings-tesla-418 (418.113-8) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 13:14:15 +0200

nvidia-settings-tesla-418 (418.113-7) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 23:46:20 +0200

nvidia-settings-tesla-418 (418.113-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 10:15:39 +0200

nvidia-settings-tesla-418 (418.113-5) unstable; urgency=medium

  * Bump watch file version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Feb 2021 21:11:22 +0100

nvidia-settings-tesla-418 (418.113-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * conditionalize-gtk2.patch: New, support building without GTK+ 2.
  * Build only the GTK+ 3 variant.  (Closes: #967662)
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 16:18:08 +0100

nvidia-settings-tesla-418 (418.113-3) unstable; urgency=medium

  * Use the upstream solution from 440.100 for building with gcc-10.
    (Closes: #957618)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Switch to debhelper-compat (= 13).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:27:46 +0200

nvidia-settings-tesla-418 (418.113-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 21:51:48 +0100

nvidia-settings-tesla-418 (418.113-1) experimental; urgency=medium

  * New upstream release 418.113.
  * Initial release of nvidia-settings for use with the Tesla 418 driver.
    (Closes: #948961)
  * Rename "legacy" variables to "variant" and add Tesla support.
  * Build only a single binary package, no -dev package or shared library.
  * Build only for amd64 and ppc64el.
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jan 2020 01:03:06 +0100

nvidia-settings (418.74-1) unstable; urgency=medium

  * New upstream release 418.74.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 May 2019 14:06:45 +0200

nvidia-settings (418.56-1) unstable; urgency=medium

  * New upstream release 418.56.
    - Updated nvidia-settings to disable line wrapping when outputting to a
      non-terminal in command-line mode.
    - Updated the nvidia-settings control panel to more accurately reflect the
      current availability of G-SYNC or G-SYNC compatible display settings.
  * New upstream release 418.30.
    - Fixed a bug that could sometimes prevent PRIME displays from being
      selected in the display settings page of nvidia-settings.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 16:26:56 +0200

nvidia-settings (415.27-1) unstable; urgency=medium

  * New upstream release 415.27.
  * New upstream release 415.13.
    - Improved the appearance and functionality of the nvidia-settings
      control panel when it is resized to small sizes.
    - Updated the nvidia-settings control panel to prevent some icons from
      being displayed incorrectly while using some GTK+ themes.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 07:16:12 +0200

nvidia-settings (410.104-2) unstable; urgency=medium

  * [i386 armhf]: Reinstate nvidia-settings as a transitional package
    depending on nvidia-settings-legacy-390xx.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Mar 2019 09:38:32 +0100

nvidia-settings (410.104-1) unstable; urgency=medium

  * New upstream release 410.104.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Mar 2019 01:01:46 +0100

nvidia-settings (410.93-1) unstable; urgency=medium

  * New upstream release 410.93.
  * Remove reproducibility patches, applied upstream.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 14:46:22 +0100

nvidia-settings (396.54-1) unstable; urgency=medium

  * New upstream release 396.54.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 17:54:57 +0100

nvidia-settings (396.45-1) experimental; urgency=medium

  * New upstream release 396.45.
  * New upstream release 396.18.
    - Updated the SLI Mosaic configuration page in nvidia-settings to make
      more layout configurations available, including configurations that
      do not utilize all of the available displays.
    - Added reporting of EGL information to nvidia-settings.
  * Build nvidia-settings on amd64 only.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jul 2018 23:31:47 +0200

nvidia-settings-legacy-390xx (390.157-1) unstable; urgency=medium

  * New upstream release 390.157.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 18:47:27 +0100

nvidia-settings-legacy-390xx (390.151-1) unstable; urgency=medium

  * New upstream release 390.151.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 12:11:55 +0200

nvidia-settings-legacy-390xx (390.147-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]


=== debian/control ===
Source: nvidia-settings-tesla-418
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
 libgl-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b tesla-418/main

Package: nvidia-settings-tesla-418
Architecture: amd64 ppc64el
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 , ${nvidia}-alternative
 , ${shlibs:Depends}, ${misc:Depends}
Recommends:
 , libgl1-${nvidia}-glvnd-glx
 | libgl1-${nvidia}-glx
 , ${nvidia}-vdpau-driver
 , lib${nvidia}-ml1
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA),$(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version),$(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version)))
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png

execute_after_dh_auto_clean:
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	$(RM) src/libXNVCtrl/libXNVCtrl.so*
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

=== debian/watch ===
version=4

https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(418.*).tar.(?:gz|bz2)
